import React from "react";
import PropTypes from "prop-types";
import Icon from "./Icon";

const ReserveBalanceIcon = ({ originalWidth, originalHeight, color, ...props }) => (
    <Icon
        originalHeight={originalHeight}
        originalWidth={originalWidth}
        {...props}
    >
        <g clip-path="url(#clip0)">
            <path d="M54.5397 5.99991C56.0274 5.99991 57.2348 7.20732 57.2294 8.69502V16.0527H41.2312C41.048 16.0527 40.8647 16.0635 40.6868 16.085C39.6195 16.209 38.6655 16.7049 37.954 17.438C37.1508 18.2627 36.6549 19.3892 36.6549 20.629V26.6229C36.6549 29.1509 38.7086 31.2046 41.2366 31.2046H57.2294V38.724C57.2294 40.2118 56.0221 41.4191 54.5343 41.4191H14.6951C13.2074 41.4191 12 40.2118 12 38.724V8.69502C12 8.45246 12.0377 8.21529 12.097 7.9889C12.194 7.62776 12.3665 7.29895 12.5929 7.01327C13.0888 6.3934 13.8488 5.99991 14.7005 5.99991H54.5397Z" fill="white"/>
            <path fill-rule="evenodd" clip-rule="evenodd" d="M58.1777 18.0692C58.5334 18.1932 58.8515 18.3819 59.121 18.6298C59.66 19.1203 59.9996 19.8318 59.9996 20.6189V26.6182C59.9996 27.4051 59.66 28.1166 59.121 28.6071C58.8515 28.8551 58.5334 29.0491 58.1777 29.1677C57.9028 29.2593 57.6117 29.3132 57.3045 29.3132H41.2361C39.7484 29.3132 38.541 28.1058 38.541 26.6181V20.6189C38.541 19.1311 39.7484 17.9237 41.2361 17.9237H57.3045C57.6117 17.9237 57.9027 17.9776 58.1777 18.0692ZM45.516 25.5023C46.2598 25.5023 46.8636 24.8986 46.8636 24.1548V23.26C46.8636 22.5161 46.2598 21.9125 45.516 21.9125H44.6212C44.3086 21.9125 44.0229 22.0256 43.7911 22.2035C43.4731 22.446 43.2737 22.8288 43.2737 23.26V24.1548C43.2737 24.8986 43.8774 25.5023 44.6212 25.5023H45.516Z" fill="white"/>
            <path fill-rule="evenodd" clip-rule="evenodd" d="M12.9999 23C4.7157 23 -2 29.7157 -2 37.9999C-2 46.2842 4.7157 52.9999 12.9999 52.9999C21.2842 52.9999 27.9999 46.2842 27.9999 37.9999C27.9999 29.7157 21.2842 23 12.9999 23Z" fill="#F2994A"/>
        </g>
        <path fill-rule="evenodd" clip-rule="evenodd" d="M13 51C20.1797 51 26 45.1797 26 38C26 30.8203 20.1797 25 13 25C5.8203 25 0 30.8203 0 38C0 45.1797 5.8203 51 13 51ZM14.0839 37.5443L17.9879 40.4723C18.4672 40.8313 18.5648 41.5112 18.2047 41.9895C17.9922 42.2758 17.6668 42.4244 17.3361 42.4244C17.1095 42.4244 16.8817 42.3539 16.6865 42.2075L12.3488 38.9542C12.0755 38.7503 11.915 38.4282 11.915 38.0866V31.5801C11.915 30.9804 12.3998 30.4956 12.9995 30.4956C13.5992 30.4956 14.0839 30.9804 14.0839 31.5801V37.5443Z" fill="white"/>
        <defs>
            <clipPath id="clip0">
                <rect width="48" height="48" fill="white" transform="translate(12)"/>
            </clipPath>
        </defs>
    </Icon>
);

ReserveBalanceIcon.defaultProps = {
    originalWidth: 48,
    originalHeight: 48,
};

ReserveBalanceIcon.propTypes = {
    originalHeight: PropTypes.number,
    originalWidth: PropTypes.number,
};

export default ReserveBalanceIcon;
